package ctbrec.ui;

import javafx.geometry.Insets;
import javafx.scene.control.Button;
import javafx.scene.control.Tab;
import javafx.scene.layout.BorderPane;

public class HelpTab extends Tab {

    public HelpTab() {
        setClosable(true);
        setText("Help");


        Button openHelp = new Button("Open Help");
        openHelp.setPadding(new Insets(20));
        BorderPane layout = new BorderPane(openHelp);
        BorderPane.setMargin(openHelp, new Insets(20));
        setContent(layout);
        openHelp.setOnAction(e -> DesktopIntegration.open("http://localhost:5689/docs/index.md"));
    }
}
